Bug 106353 - alt-tab after desktop switching with focus follows mouse selects current app
alt-tab after desktop switching with focus follows mouse selects current app
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-06 09:46 EDT by Alexandre Oliva
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-25 15:09:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexandre Oliva 2003-10-06 09:46:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1) Gecko/20031002

Description of problem:


Version-Release number of selected component (if applicable):
metacity-2.6.2-1

How reproducible:
Always

Steps to Reproduce:
1.Start say xchat and gnome-terminal in one virtual terminal
2.Enable focus follows mouse
3.Make xchat visible on all desktops
4.Click on gnome-terminal to bring it forward
5.Switch to a different desktop
6.Move mouse over xchat, without clicking, such that it will be active when you...
7.Switch back to the desktop where you started gnome-terminaldesktop
8.Press Alt-TAB

Actual Results:  gnome-terminal will be the first app in the pop-up app list
window, and xchat will be  the second entry, that will be selected if you
release Alt-TAB.

Expected Results:  The active application should always be the first entry in
the pop-up window, and Alt-TAB once should only take you back to the current
application if it's the only one on the desktop.

Additional info:
Comment 1 Havoc Pennington 2004-05-25 15:09:41 EDT
Upstream as http://bugzilla.gnome.org/show_bug.cgi?id=143148

Note You need to log in before you can comment on or make changes to this bug.